Bug 460173 - [QLogic 6.0 feat] qla2xxx - MultiQueue
[QLogic 6.0 feat] qla2xxx - MultiQueue
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity high
: alpha
: 6.0
Assigned To: Tom Coughlan
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On: 442758
Blocks: 216993 554559 555224 555228
  Show dependency treegraph
 
Reported: 2008-08-26 12:09 EDT by Andrius Benokraitis
Modified: 2015-07-14 00:26 EDT (History)
13 users (show)

See Also:
Fixed In Version: kernel-2.6.32-14.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrius Benokraitis 2008-08-26 12:09:57 EDT
+++ This bug was initially created as a clone of Bug #442758 +++

The fibre channel adapters can support multiple request and response queues. These queues can be used to provide QOS, individual queues for virtual ports (NPIV) and VSAN's

This feature is is part of support for end-to-end architecture for larger vendors.

--- Additional comment from andriusb@redhat.com on 2008-08-26 12:02:55 EDT ---

Deferring to RHEL 5.4 (and RHEL 6.0) perQLogic's request.
Comment 1 Bill Nottingham 2008-10-01 13:28:23 EDT
Need some more information here - is this code upstream yet? If not, when is it planned?
Comment 2 Marcus Barrow 2008-10-03 16:47:25 EDT

This code is not yet upstream. It is under test now. We expect it to be submitted upstream for the .28 maybe or the .29 kernel certainly, depending on how long the testing takes.

It will not be submitted for the RHEL 5 series.
Comment 3 Tom Coughlan 2009-09-24 07:33:08 EDT
It this not in 2.6.31, and in Fedora 12, it is late for RHEL 6.
Comment 4 Chris Ward 2009-11-25 05:06:40 EST
@Reporters

We need to confirm that there is third-party commitment to 
test for the resolution of this request during the RHEL 6.0 
Beta Test Phase before we can approve it for acceptance 
into the release.

In order to avoid any unnecessary delays, please post a 
confirmation as soon as possible, including the contact 
information for testing engineers.

Any additional information about alternative testing variations we 
could use to reproduce this issue in-house would be appreciated.
Comment 6 Andrew Vasquez 2010-01-11 14:33:20 EST
Initial Multi-queue support code was added in 2.6.29:

  commit 73208dfd7ab19f379d73e8a0fbf30f92c203e5e8                                                                       
  Author:     Anirban Chakraborty <anirban.chakraborty@qlogic.com>
  AuthorDate: Tue Dec 9 16:45:39 2008 -0800
  Commit:     James Bottomley <James.Bottomley@HansenPartnership.com>
  CommitDate: Mon Dec 29 11:24:33 2008 -0600  

   [SCSI] qla2xxx: add support for multi-queue adapter

The code present in 2.6.32 should satisfy this requirement.  No
additional 'fixes' are planned for this area of code.
Comment 7 Andrius Benokraitis 2010-01-11 14:42:50 EST
Thanks Andrew - let's keep this open so that we can confirm with testing.
Comment 10 Chad Dupuis (Cavium) 2010-08-09 10:37:28 EDT
This was verified as fixed by QLogic in snapshot 8.
Comment 11 releng-rhel@redhat.com 2010-11-15 09:04:53 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.